> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revenuebase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count



## OpenAPI

````yaml /api-reference/v2/contact-openapi.json post /count
openapi: 3.1.0
info:
  title: RevenueBase Velocity API
  version: 0.1.0
servers:
  - url: https://api.revenuebase.ai/v2/contact
    description: Production
security: []
paths:
  /count:
    post:
      summary: Count
      operationId: count_v1_count_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CountRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Count V1 Count Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CountRequest:
      properties:
        filter:
          anyOf:
            - $ref: '#/components/schemas/GroupNode'
            - type: 'null'
        mode:
          type: string
          title: Mode
          default: fast
      type: object
      title: CountRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GroupNode:
      properties:
        type:
          type: string
          const: group
          title: Type
        op:
          type: string
          enum:
            - AND
            - OR
          title: Op
          default: AND
        children:
          items:
            oneOf:
              - $ref: '#/components/schemas/ConditionNode'
              - $ref: '#/components/schemas/GroupNode'
              - $ref: '#/components/schemas/SemanticNode'
              - $ref: '#/components/schemas/LookalikeNode'
            discriminator:
              propertyName: type
              mapping:
                condition:
                  $ref: '#/components/schemas/ConditionNode'
                group:
                  $ref: '#/components/schemas/GroupNode'
                lookalike:
                  $ref: '#/components/schemas/LookalikeNode'
                semantic:
                  $ref: '#/components/schemas/SemanticNode'
          type: array
          title: Children
        joinWithPrevious:
          anyOf:
            - type: string
              enum:
                - AND
                - OR
            - type: 'null'
          title: Joinwithprevious
        negate:
          type: boolean
          title: Negate
          default: false
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      type: object
      required:
        - type
      title: GroupNode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConditionNode:
      properties:
        type:
          type: string
          const: condition
          title: Type
        column:
          type: string
          title: Column
          default: ''
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
            - contains
            - startsWith
            - endsWith
            - isNull
            - isNotNull
            - in
            - notIn
          title: Operator
        value:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: boolean
            - type: 'null'
          title: Value
        valueList:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Valuelist
        joinWithPrevious:
          anyOf:
            - type: string
              enum:
                - AND
                - OR
            - type: 'null'
          title: Joinwithprevious
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      type: object
      required:
        - type
        - operator
      title: ConditionNode
    SemanticNode:
      properties:
        type:
          type: string
          const: semantic
          title: Type
        'on':
          type: string
          enum:
            - company
            - title
          title: 'On'
        text:
          type: string
          title: Text
          default: ''
        maxDistance:
          anyOf:
            - type: number
            - type: 'null'
          title: Maxdistance
        match:
          anyOf:
            - type: string
              enum:
                - exact
                - similar
                - related
                - broad
                - same
            - type: 'null'
          title: Match
        joinWithPrevious:
          anyOf:
            - type: string
              enum:
                - AND
                - OR
            - type: 'null'
          title: Joinwithprevious
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      type: object
      required:
        - type
        - 'on'
      title: SemanticNode
    LookalikeNode:
      properties:
        type:
          type: string
          const: lookalike
          title: Type
        rbidOrg:
          type: string
          title: Rbidorg
          default: ''
        domain:
          type: string
          title: Domain
          default: ''
        maxDistance:
          anyOf:
            - type: number
            - type: 'null'
          title: Maxdistance
        match:
          anyOf:
            - type: string
              enum:
                - exact
                - similar
                - related
                - broad
                - same
            - type: 'null'
          title: Match
        joinWithPrevious:
          anyOf:
            - type: string
              enum:
                - AND
                - OR
            - type: 'null'
          title: Joinwithprevious
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      type: object
      required:
        - type
      title: LookalikeNode
      description: |-
        Match people at companies whose NAME-FREE description vector is near the
        given company's vector (velocity.company_vec512_lookalike).
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Key

````